Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1486034 - [RFE] Limit search and make results batch bigger
Summary: [RFE] Limit search and make results batch bigger
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: API
Version: Unspecified
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-28 19:44 UTC by Mason Loring Bliss
Modified: 2020-12-14 09:44 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-04 12:46:59 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Mason Loring Bliss 2017-08-28 19:44:25 UTC
1. Proposed title of this feature request

Larger and more efficient searches of Satellite database.

2. MassMutual 611481
   Has TAM: yes
   Strategic: yes

3. What is the nature and description of the request?

Customer sees slow response and many facts returned when querying Satellite
programmatically. Customer seeks API option for specifying a limited set of
facts to query so that 1) the query returns faster, and 2) they can access
results without the 100-host cap that exists now.

4. Why does the customer need this? (List the business requirements here)

Satellite API needs to be complete and performant enough to avoid the customer
developing tools to work around its limitations. In this case, the customer's
considering caching the results of hammer queries run periodically, which
should ideally not be necessary.

5. How would the customer like to achieve this? (List the functional requirements here)

API call should be available wherein user can specify items of interest,
rather than today's default wherein all facts about systems are returned.

6. For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.

Customer can exercise new API call, passing in a set of facts to be queried
and measuring time to search completion and results delivery.

7. Is there already an existing RFE upstream or in Red Hat Bugzilla?

No.

8. Does the customer have any specific timeline dependencies and which release would they like to target (i.e. RHEL5, RHEL6)?

Customer will be able to cease development of workarounds as soon as this
feature exists.

9. Is the sales team involved in this request and do they have any additional input?

VAT is aware of need and will note input separately.

10. List any affected packages or components.

Satellite 6. I believe this would be Candlepin.

11. Would the customer be able to assist in testing this functionality if implemented?

Yes.

Comment 2 Mason Loring Bliss 2017-08-29 13:49:57 UTC
I'll see if I can get a snippet of the existing code to nail down just what they're doing today.

Comment 7 Amit Karsale 2018-06-04 12:46:59 UTC
If the customer is okay with the limited info for the GET Host API then it has `thin` as a parameter in its documentation
(/api/v2/hosts?thin=true) to list the host with limited host info viz :id and :name

you can find the documentation at https://<domain_url>/apidoc/v2/hosts/index.en.html

Based on the case status I am closing the ticket for now. If the requirement changes or aroused again feel free to re-open.

Thanks,
Amit Karsale


Note You need to log in before you can comment on or make changes to this bug.